/*	This file is part of Advantech VCOM Linux.
 *
 *	Copyright (c) 2009 - 2021 ADVANTECH CORPORATION.  All rights reserved. 
 *
 *	Advantech VCOM Linux is free software: you can redistribute it and/or modify
 *	it under the terms of the GNU General Public License as published by
 *	the Free Software Foundation, either version 3 of the License, or
 *	(at your option) any later version.
 *
 *	Advantech VCOM Linux  is distributed in the hope that it will be useful,
 *	but WITHOUT ANY WARRANTY; without even the implied warranty of
 *	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *	GNU General Public License for more details.
 *
 *	You should have received a copy of the GNU General Public License
 *	along with Advantech VCOM Linux.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef _ADV_PROC_FOPS_H
#define _ADV_PROC_FOPS_H
#if LINUX_VERSION_CODE >= KERNEL_VERSION(5,6,0)
//@ current
#else
static const struct file_operations adv_proc_fops = {
	.owner		= THIS_MODULE,
	.open		= adv_proc_open,
	.release	= adv_proc_release,
	.mmap		= adv_proc_mmap,
	.unlocked_ioctl	= adv_proc_ioctl,
	.poll		= adv_proc_poll,
};
#endif

#endif
