/*	This file is part of Advantech VCOM Linux.
 *
 *	Copyright (c) 2009 - 2021 ADVANTECH CORPORATION.  All rights reserved. 
 *
 *	Advantech VCOM Linux is free software: you can redistribute it and/or modify
 *	it under the terms of the GNU General Public License as published by
 *	the Free Software Foundation, either version 3 of the License, or
 *	(at your option) any later version.
 *
 *	Advantech VCOM Linux  is distributed in the hope that it will be useful,
 *	but WITHOUT ANY WARRANTY; without even the implied warranty of
 *	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *	GNU General Public License for more details.
 *
 *	You should have received a copy of the GNU General Public License
 *	along with Advantech VCOM Linux.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef _ADV_UART_SET_TERMIOS_H
#define _ADV_UART_SET_TERMIOS_H
#if LINUX_VERSION_CODE >= KERNEL_VERSION(4,0,0)
//@ current
#else
void
adv_uart_set_termios(struct uart_port *port, struct ktermios *termios,
		       struct ktermios *old);
#endif //LINUX_VERSION_CODE >= KERNEL_VERSION(4,0,0)

#endif //_ADV_UART_SET_TERMIOS_H
